
singitdatadir = ${datadir}

# ----------------------
# OpenGL and SDL data
# ----------------------

if HAVE_OPENGL_AM
OPENGL_SDL_DATA_INST = vixar.ttf
else
if HAVE_SDL_AM
OPENGL_SDL_DATA_INST = vixar.ttf
endif
endif


# ----------------------
# OpenGL data
# ----------------------

if HAVE_OPENGL_AM
OPENGL_DATA_INST = star1.bmp star2.bmp
endif


# ----------------------
# SDL data
# ----------------------

if HAVE_SDL_AM

SDL_DATA_INST = deffont

# Use the install hook to install the preset direcories
install-data-local:
	@test -d "${DESTDIR}${datadir}" || mkdirhier "${DESTDIR}${datadir}"
	@cp -r deffont ColorMaps DeltaFields Particles WaveShapes WhiteCap "${DESTDIR}${datadir}"

#singitcolormapsdir = ${datadir}/ColorMaps
#singitcolormaps_DATA = ColorMaps/*

#singitdeltafieldsdir = ${datadir}/DeltaFields
#singitdeltafields_DATA = DeltaFields/*

#singitparticlesdir = ${datadir}/Particles
#singitparticles_DATA = Particles/*

#singitwaveshapesdir = ${datadir}/WaveShapes
#singitwaveshapes_DATA = WaveShapes/*

endif

singitdata_DATA = $(OPENGL_SDL_DATA_INST) $(OPENGL_DATA_INST) $(SDL_DATA_INST)
